package de.cliffbreak.varo.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;

import de.cliffbreak.varo.Varo;

public class InfoCommand implements CommandExecutor {

    private final Varo plugin;

    public InfoCommand(final Varo plugin) {
        this.plugin = plugin;
    }

    public boolean onCommand(final CommandSender sender, final Command command, final String label,
            final String[] args) {
        sender.sendMessage("\n§6========== §b§lCliffbreak.de VARO §r§6============\n ");
        sender.sendMessage("Current GameState: " + this.plugin.getGameManager().getGameState());
        sender.sendMessage("Current Day: " + this.plugin.getGameTimeManager().currentDay());
        sender.sendMessage("Current TimeDelta: " + this.plugin.getGameTimeManager().getPlayTimeDeltaSeconds());
        sender.sendMessage("\n§6==========================================");
        return true;
    }
}