package de.cliffbreak.varo.listeners;

import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryType;

import de.cliffbreak.varo.Varo;

public class InventoryClickListener implements Listener {

    private final Varo plugin;

    public InventoryClickListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onInventoryClick(final InventoryClickEvent e) {
        if (e.getInventory().getType().equals(InventoryType.BREWING)) {
            if (e.getCurrentItem() == null) {
                return;
            }
            final Material mat = e.getCurrentItem().getType();
            if (mat.equals(Material.AIR) || mat.equals(Material.BLAZE_POWDER) || mat.equals(Material.POTION)
                    || mat.equals(Material.NETHER_WART) || mat.equals(Material.GLISTERING_MELON_SLICE)) {

            } else {
                e.setCancelled(true);
                e.getWhoClicked().sendMessage(this.plugin.getLangUtils().get("Error.Brew"));
            }
        }
    }

}