package de.cliffbreak.varo.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

public class WebUtils {

    public static String GET(final String url) throws MalformedURLException, IOException {
        final HttpURLConnection connection = ((HttpURLConnection) (new URL(url)).openConnection());
        connection.setRequestMethod("GET");
        final BufferedReader in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
        String inputLine;
        final StringBuffer content = new StringBuffer();
        while ((inputLine = in.readLine()) != null) {
            content.append(inputLine);
        }
        in.close();
        connection.disconnect();
        return content.toString();
    }

}