package de.cliffbreak.varo.listeners;

import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerChatEvent;

import de.cliffbreak.varo.Varo;

public class ChatListener implements Listener {

    private final Varo plugin;

    public ChatListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onChat(final AsyncPlayerChatEvent e) {
        e.setCancelled(true);
        Bukkit.broadcast(this.plugin.getMessageUtils().getChatMessage(e.getPlayer().getName(), e.getMessage()));
    }
}
