package de.cliffbreak.varo.listeners;

import com.destroystokyo.paper.event.player.PlayerClientOptionsChangeEvent;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import de.cliffbreak.varo.Varo;
import de.cliffbreak.varo.enums.PlayerCacheType;

public class PlayerClientOptionsChangeListener implements Listener {

    private final Varo plugin;

    public PlayerClientOptionsChangeListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerClientOptionsChange(final PlayerClientOptionsChangeEvent e) {
        final String uuid = e.getPlayer().getUniqueId().toString().replace("-", "");
        this.plugin.getPlayerCache().setPlayerCache(uuid, PlayerCacheType.NAME, e.getPlayer().getName());
        this.plugin.getPlayerCache().setPlayerCache(uuid, PlayerCacheType.SKINPARTS, e.getSkinParts().getRaw());
        this.plugin.getPlayerCache().setPlayerCache(uuid, PlayerCacheType.MAINHAND, e.getMainHand().toString());
    }
}