package de.cliffbreak.varo.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import de.cliffbreak.varo.Varo;
import de.cliffbreak.varo.enums.PlayerInteractType;
import de.cliffbreak.varo.events.PlayerInteractNPCEvent;

public class PlayerInteractNPCListener implements Listener {

    private final Varo plugin;

    public PlayerInteractNPCListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onEntityDamageByEntity(final PlayerInteractNPCEvent e) {
        if (e.getType().equals(PlayerInteractType.ATTACK)) {
            this.plugin.getNPCManager().addDamage(e.getDamager(), e.getId(), e.getDamage(), e.getIsCritical());
        }
    }

}